import { EggProtoImplClass, QualifierValue } from '@eggjs/core-decorator';
import { EggAbstractClazz } from './typing';
export declare const QUALIFIER_IMPL_MAP: unique symbol;
export declare class QualifierImplUtil {
    static addQualifierImpl(abstractClazz: EggAbstractClazz, qualifierValue: QualifierValue, implClazz: EggProtoImplClass): void;
    static getQualifierImp(abstractClazz: EggAbstractClazz, qualifierValue: QualifierValue): EggProtoImplClass | undefined;
    static getQualifierImpMap(abstractClazz: EggAbstractClazz): Map<QualifierValue, EggProtoImplClass>;
}
